Bug 855533 - virt-manager shows incorrect free space for storage pools (a full filesystem is reported to have several gigabytes free space, delaying the correct problem diagnosis)
virt-manager shows incorrect free space for storage pools (a full filesystem ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 13:57 EDT by Reartes Guillermo
Modified: 2013-07-11 15:49 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 15:49:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
storage pool showing free space (but it is really full) (87.61 KB, application/octet-stream)
2012-09-08 13:57 EDT, Reartes Guillermo
no flags Details
screenshot when using such 'free space', it fails of curse (158.60 KB, application/octet-stream)
2012-09-08 13:58 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-09-08 13:57:52 EDT
Created attachment 611022 [details]
storage pool showing free space (but it is really full)

Description of problem:

A full filesystem is reporting as having 5.5 gb free space in the storage pool window.

For example:

# df -h /var/lib/libvirt/images
Filesystem      Size  Used Avail Use% Mounted on
/dev/md123       99G   94G   12K 100% /var/lib/libvirt/images

# df -i /var/lib/libvirt/images
Filesystem      Inodes IUsed   IFree IUse% Mounted on
/dev/md123     6553600    36 6553564    1% /var/lib/libvirt/images

Se attached screen-shot.

Version-Release number of selected component (if applicable):
virt-manager.noarch          0.9.4-1.fc17     @updates-testing
virt-manager-common.noarch   0.9.4-1.fc17     @updates-testing

How reproducible:
always

Steps to Reproduce:
1. fill the filesystem of a storage pool
2. go to storage pool window, still has 'free space' 
  
Actual results:
Incorrect data, might cause confusion. 

Expected results:
Show real storage pool free space

Additional info:
Comment 1 Reartes Guillermo 2012-09-08 13:58:57 EDT
Created attachment 611023 [details]
screenshot when using such 'free space', it fails of curse
Comment 2 Fedora End Of Life 2013-07-03 17:29:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Cole Robinson 2013-07-11 15:49:34 EDT
Sorry this never received a response, but it is unlikely to be fixed in F17 at this point. If you can still reproduce on F19, please reopen and we can go from there. Thanks

Note You need to log in before you can comment on or make changes to this bug.